# Type Alias ModelCfg

type ModelCfg = {
configuration: any;
id?: number;
modelpattern: string;
name: string;
table_id: number;
}

- Defined in model-abstracts/abstract_model.ts:1

##### Index

### Properties

configuration
id?
modelpattern
name
table_id

## Properties

### configuration

configuration: any

- Defined in model-abstracts/abstract_model.ts:6

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_model.ts:2

### modelpattern

modelpattern: string

- Defined in model-abstracts/abstract_model.ts:5

### name

name: string

- Defined in model-abstracts/abstract_model.ts:3

### table_id

table_id: number

- Defined in model-abstracts/abstract_model.ts:4